
@font-face {
    font-family: 'Maple Mono';
    src: url('assets/fonts/MapleMono[wght]-VF.woff2') format('woff2-variations');
    font-style: normal;
}
@font-face {
    font-family: 'Maple Mono';
    src: url('assets/fonts/MapleMono-Italic[wght]-VF.woff2') format('woff2-variations');
    font-style: italic;
}
@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('assets/fonts/AtkinsonHyperlegibleNextVF-Variable.woff2') format('woff2-variations');
}
:root {
    --bg: #F2F2F2;
    --color: #090022;
    --letter-spacing: -.05em;
    --page-width: min(80vw, 750px);
    --heading-align: center;
}
* {
    box-sizing: border-box;
}
html {
    font-family: 'Maple Mono', system-ui, -apple-system, sans-serif;
}
body {
    background: var(--bg);
    color: var(--text);
    margin: 0;
}
header, article, footer {
    padding: 1.5em;
}

h1, h2 {
    text-align: center;
    margin: .3em 0;
}
h1 {
    font-size: 2em;
    font-weight: 800;
    font-style: italic;
    letter-spacing: var(--letter-spacing);
}
h2 {
    font-size: 1.8em;
}
h3 {
    font-size: 1.5em;
    margin: .1em 0;
}
a {
    color: slateblue;
    text-decoration-color: rgba(105, 90, 205, 0.351);
    text-decoration-thickness: 2px;
    text-underline-offset: 3px;
}
a:hover {
    text-decoration-color: slateblue;
    text-decoration-thickness: 2px;
}

.hero {
    background-color: rgb(106, 90, 205);
    background-image: url(assets/noise.png);
    color: white;
    max-width: var(--page-width);
    height: 800px;
    padding-block-start: 8em;
    padding-block-end: 300px;
    border-radius: 40px 40px 0 0;
    font-size: 120%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    gap: 2em;
    margin: 2em auto 0;
    position: relative;

    p {
        margin: 0;
    }

    img {
        height: 5em;
        filter: drop-shadow(0 0.35em 0.35em rgb(0 0 0 / 0.15));
    }

    .heading {
        display: flex;
        flex-flow: column nowrap;
        justify-content: var(--heading-align);
        align-items: var(--heading-align);
        gap: .25em;
        padding-inline: 2em;
        min-width: 70%;
    }
    .action {
        font: inherit;
        font-size: 1.4em;
        font-style: italic;
        font-weight: 600;
        margin: 0;
        padding: .25em 1.1em .35em;
        border-radius: 15px;
        border: none;
        letter-spacing: var(--letter-spacing);
        text-decoration: none;
        background-color: white;
        box-shadow:
            0 0.35em 0.35em rgb(0 0 0 / 0.15),
            inset 0 -0.15em rgb(0 0 0 / 0.2);
        transition: all 0.3s ease;
    }
    .action:hover {
        background: white;
        color: slateblue;
        cursor: pointer;
        transform: scale(1.15);
    }
    .action:active {
        transform: scale(0.95);
    }

    .subtitle {
        font-size: 1em;
        font-style: italic;
        text-align: var(--heading-align);
    }

    .purchase {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: center;
        gap: 1.5em;
        background-color: rgba(255 255 255 / .1);
        padding: 1em 2em 1em;
        border-radius: 20px;
        min-width: 70%;
    }

    .details {
        display: flex;
        flex-flow: row wrap;
        justify-content: center;
        align-items: center;
        gap: .6em;
    }
    .price {
        font-size: 2.1em;
        font-weight: 700;
    }
    .price-details {
        font-size: .8em;
        display: flex;
        flex-flow: column wrap;
        justify-content: center;
        gap: .1em;
        font-style: italic;
        text-align: inline-start;
        border-inline-start: 2px solid rgb(255 255 255 / 0.2);
        padding: 0 0 0 1em;
    }

    .hero-screenshots {
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        position: absolute;
        inset-block-end: -110px;
        transform: translateX(20px);
        max-width: 100%;
    }


    picture {
        display: block;
        pointer-events: none;
    }
    picture.one {
        transform: translateX(100px) translateY(0);
    }
    picture.two {
        transform: translateX(-123.5px) translateY(142px);
    }
    picture img {
        height: 345px;
    }
    .video {
        position: absolute;
        width: 220px;
        height: 140px;
        background-color: #333;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 16px;
        z-index: 1;
        box-shadow: 
            0 0.35em 0.35em rgb(0 0 0 / 0.15);
        outline: 1px solid rgb(0 0 0 / 0.15);
        outline-offset: -1px;
        transform: translate(150px, -30px);
        transition: all 0.3s ease;
    }
    .video:hover {
        background-color: #000;
        cursor: pointer;
        transform: translate(150px, -30px) scale(1.1);
    }
    .video:active {
        transform: translate(150px, -30px) scale(0.95);
    }
    .video svg {
        width: 2.8em;
        height: 2.8em;
    }

    .asterisk {
        position: absolute;
        inset-inline-end: -1.1em;
        inset-block-end: 5.5em;
        transform: translateX(80%) rotate(-90deg);
        transform-origin: left center;
        font-size: .4em;
        font-weight: 400;
    }

    @media screen and (max-width: 1000px) {
        & {
            font-size: 1em;
            padding-block-end: 250px;
            margin-block-start: 0;
            margin-inline: auto;
            max-width: unset;
            border-radius: 0;
            width: 100vw;
            height: 600px;
        }
        .hero-screenshots {
            transform: scale(.5);
        }
        .video {
            transform: translate(150px, -40px) scale(1.2);
        }
        .asterisk {
            inset-inline-end: -2.5em;
            inset-block-end: 1.5em; 
        }
        .purchase {
            padding: .6em 1em .6em;
        }
    }
    @media screen and (max-width: 400px) {
        & {
            font-size: 1em;
            padding-block-end: 250px;
        }
        .hero-screenshots {
            transform: scale(.5);
        }
        .video {
            transform: translate(150px, -40px) scale(1.25);
        }
    }
}


main {
    max-width: var(--page-width);
    margin: 0 auto;
    padding-block: 19em 7em;
    padding-inline: 3em;
    background: white;

    @media screen and (max-width: 1000px) {
        & {
            padding-block: 9em 3em;
            padding-inline: 1.5em;
            width: 100%;
            max-width: unset;
            overflow: hidden;
        }
    }
}

.niceties {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 2.2em;
    padding: 0;

    :is(h2, h3) {
        flex: 100%;
        font-weight: 700;
    }

    .nice {
        display: flex;
        flex: 1 1 45%;
        border-radius: 8px;
        gap: 1.2em;
        line-height: 1.2;

        @media screen and (max-width: 600px) {
            & {
                flex: 1 1 100%;
            }
        }

        .icon {
            justify-content: center;
            margin-bottom: .5em;
        }

        & > div {
            display: flex;
            flex-flow: row wrap;
            justify-content: start;
            align-items: flex-start;
            align-content: flex-start;
            gap: .35em;
        }

        h3 {
            font-style: italic;
            letter-spacing: var(--letter-spacing);
        }

        h3, p {
            margin: 0 0 .25em;
        }

        p {
            font-weight: 400;
            font-size: 1em;
            font-family: 'Atkinson Hyperlegible', system-ui, -apple-system, sans-serif;
        }

        strong {
            font-weight: 800;
        }

        small {
            color: rgb(0 0 0 / 0.45);
            font-size: .75em;
            font-style: italic;
        }

        .settings-screenshot {
            width: 470px;
            height: auto;
            object-fit: contain;
            max-width: 90%;
            position: absolute;
            transform: translate(-20px, -30px) rotate(3deg);
        }

        @media screen and (max-width: 1000px) {
            .settings-screenshot {
                position: static;
                transform: translate(20px, -10px) rotate(3deg) scale(1.1);
            }
        }
        @media screen and (max-width: 600px) {
            .settings-screenshot {
                width: 100%;
                transform: translate(1.5em, 0) rotate(0) scale(1.1);
            }
        }
    }
}


.faq {
    max-width: var(--page-width);
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin: 0 auto;
    padding-block: 4em 6em;
    padding-inline: 4em;
    border-radius: 0 0 40px 40px;
    background: white;

    @media screen and (max-width: 1000px) {
        & {
            padding-block: 0 6em;
            padding-inline: 1.5em;
            width: 100%;
            max-width: unset;
            overflow: hidden;
            border-radius: 0;
        }
    }

    h2 {
        font-style: italic;
        text-align: start;
        letter-spacing: var(--letter-spacing);
        margin-inline-start: 1rem;
        margin-block-end: 0;
    }

    details {
        border-radius: 10px;
        background-color: rgb(106 90 205 / .05);
        font-family: "Atkinson Hyperlegible", system-ui, -apple-system, sans-serif;

        summary {
            font-size: 125%;
            font-weight: 500;
            color: slateblue;
            cursor: pointer;
            padding: 1rem 2.5rem 1rem 1rem;
            position: relative;
            list-style: none;

            &::marker {
                content: "";
            }

            &::after {
                content: "";
                display: inline-block;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMiIgaGVpZ2h0PSIzMiIgZmlsbD0iIzZjNWNjYyIgdmlld0JveD0iMCAwIDI1NiAyNTYiPjxwYXRoIGQ9Ik0xNjguNDksMTk5LjUxYTEyLDEyLDAsMCwxLTE3LDE3bC04MC04MGExMiwxMiwwLDAsMSwwLTE3bDgwLTgwYTEyLDEyLDAsMCwxLDE3LDE3TDk3LDEyOFoiPjwvcGF0aD48L3N2Zz4=");
                background-size: contain;
                position: absolute;
                inset-block-start: 1rem;
                inset-inline-end: 1rem;
                width: 1.55rem;
                height: 1.55rem;
                transition: all .2s ease;
            }
        }

        &[open] {
            background-color: rgb(106 90 205 / .1);
        }
        &[open] summary::after {
            transform: rotate(-90deg);
        }

        p {
            padding: 0 1rem 1rem;
            margin: 0;
            font-size: 1.1em;
            font-weight: 400;
        }
    }

    & > p {
        padding: 0;
        margin: 0 0 1rem 1rem;
        font-size: 1em;
        max-width: 500px;
        letter-spacing: var(--letter-spacing);
    }
}

footer {
    text-align: center;
    font-size: .8em;
    padding: 5em 1.5em;
    max-width: var(--page-width);
    margin: 0 auto 5em;

    & small {
        font-size: 1em;
    }
}